<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "godown.php";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `gcode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `add1`or `add2` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `gcode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `add1` or `add2` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `gcode`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `city`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
}else{
    $ordcond = " ASC";
}
//browse($cond);
$query = "SELECT `code`,`gcode`, `name`,`city`,`add1`,`add2` FROM `godown` where code != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'name'    => $r[name],
                'gcode'    => $r[gcode],
                'add1'    => $r[add1],
                'add2'    => $r[add2],
                'city'      => $r[city],
                'action'    => "$file?mode=edit&code=$r[code]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
